﻿@model ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua

@{
    ViewBag.Title = "NhatKyVanHanhVaSuaChua";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
@{
    List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua> lstNhatKy = ViewBag.lstNhatKy != null ? ViewBag.lstNhatKy : new List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua>();
    //List<string> ghiChuCaSau = lstNhatKy.Select(x => x.ChuYCaSauTheoDoi).ToList();
    //String delim = "-";
    //string res = String.Join(delim, ghiChuCaSau);
    List<ContosoUniversity.DTO.NgayChuYCaSau> listChuYCaSau = ViewBag.ListChuYCaSauTheoDoi != null ? ViewBag.ListChuYCaSauTheoDoi : new List<ContosoUniversity.DTO.NgayChuYCaSau>();
}
<script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
<style>
    #ChuYCaSauTheoDoi {
        width: 320px !important;
    }

    ul, #myUL {
        list-style-type: none;
    }

    #myUL {
        margin: 0;
        padding: 0;
    }

    .create-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down:before {
        -ms-transform: rotate(90deg);
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }

    .create-nested {
        display: block;
    }

    .active-taomoiNK {
        display: none;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless tr td {
        border: none !important;
        width: 500px;
    }

    .div-create-new {
        border: 2px solid #f5f5f5;
        /*box-shadow: 0 0 10px 0 #0094ff;*/
        border-radius: 6px;
    }

    #NhapGhiChuChoCaSau {
        /*width: 280px !important*/
    }

    .label-text {
        font-size: 14px;
        color: #666;
        line-height: 22px;
        font-family: Arial,sans-serif;
        padding-right: 9px;
    }

    .label-title {
        font-size: 20px;
        color: #666;
        line-height: 22px;
        font-family: Arial,sans-serif;
    }

    .label-caret {
        font-style: italic;
    }

    .ngaytao-chuycasau {
        width: auto;
    }

    .group-ngaytao {
        width: 380px;
    }

    .note-info {
        color: red;
        width: 100%;
    }
    /*mobile: width <740px*/
    @@media only screen and (max-width: 46.1875em) {
        .create-nested {
            padding-left: 0px;
        }

        .btn-create-new {
            margin-top: 30px;
            padding-right: 0px;
            padding-left: 45px;
        }

        .table-add tbody {
            display: grid;
        }

        .table-add tr {
            display: contents;
            /*border: solid red*/
        }

        .table-add td {
            display: block;
        }

        .title-text {
            margin-top: 60px;
        }
    }
    /*tablet: width >=740px and width < 1024px*/
    @@media only screen and (min-width : 46.25em) and (max-width: 63.9375em) {
        .create-nested {
            padding-left: 0px;
        }

        .btn-create-new {
            margin-top: 30px;
            padding-right: 0px;
            padding-left: 190px;
        }

        .title-text {
            margin-top: 65px;
        }
    }

    .required::after {
        content: "*";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }
    .DSNhatKy {
        padding-top: 35px;
        padding-left: 100px;
    }
</style>

<h2 class="maintitle"><i class="fa-solid fa-address-book" style="color: #299be4;"></i> Nhật ký vận hành - sự cố</h2>
<hr />
<table class="table table-add ">
    <tr>
        <td class="group-ngaytao" style="border-top:none">
            <div class="form-group">
                @Html.LabelFor(x => x.NgayTao, htmlAttributes: new { @class = "label-text ngaytao-chuycasau col-md-3 required" })
                <div class="col-md-9">
                    @*@Html.EditorFor(model => model.NgayTao, "{0:dd/MM/yyyy}", new { @class = "form-control", placeholder = "dd-mm-yyyy" })*@
                    <div class='input-group date' id='datepicker'>
                        @Html.TextBoxFor(model => model.NgayTao, "{0:dd/MM/yyyy}", new { @class = "form-control", placeholder = "dd/mm/yyyy", @onchange = "onchangeNgayTao();" })
                        @*@Html.ValidationMessageFor(model => model.NgayTao, "", new { @class = "text-danger" })*@
                        @*<div id="errorMess"></div>*@
                        <span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                    <span class="note-info" id="ngaytaoloc"></span>
                </div>
            </div>
            <div class="DSNhatKy">
                <a href="@Url.Action("ListAll_NhatKyVanHanh","Nhatkyvanhanhs")" style="cursor: pointer;">Xem danh sách nhật ký</a>
            </div>
        </td>
        <td style="border-top:none">
            <div class="form-group">
                @Html.LabelFor(x => x.ChuYCaSauTheoDoi, htmlAttributes: new { @class = "label-text ngaytao-chuycasau col-md-4" })

                <div class="col-md-8 note-info">
                    @foreach (var ngay in listChuYCaSau)
                    {
                        <ul>
                            <li>
                                <span>Ngày: @ngay.NgayTao.ToString("dd/MM/yyyy")</span>
                                @foreach (var ca in ngay.CaChuY)
                                {
                                    <ul>
                                        <li>
                                            <span>&bull; Ca: @ca.Ca</span>
                                            @foreach (var noidung in ca.NoiDungChuY)
                                            {
                                                <ul>
                                                    <li>
                                                        <span>- NK_@noidung.NhatkyvanhanhID: @noidung.GhiChuCaSau; @noidung.NguoiTruc</span>
                                                    </li>
                                                </ul>
                                            }
                                        </li>
                                    </ul>
                                }
                            </li>
                        </ul>
                    }
                    @*@foreach (var chuycasau in listChuYCaSau)
                    {
                        <p>&bull; NK_@chuycasau.NhatkyvanhanhID -  Ca: @chuycasau.Ca - Ngày: @chuycasau.CreateDate.Value.ToString("dd - MM - yyyy") - Nội dung: @chuycasau.GhiChuCaSau - Người ghi chú: @chuycasau.NguoiTruc</p>
                    }*@

                </div>
            </div>
        </td>
    </tr>

</table>
@if (Model.NgayTao.Day == DateTime.Now.Day && Model.NgayTao.Month == DateTime.Now.Month && Model.NgayTao.Year == DateTime.Now.Year)
{
    <div class="create-nhatky">
        <ul id="myUL">
            <li>
                <span class="create-caret caret-down" style="width:auto"><label class="label-caret">Tạo mới</label></span>

                <ul class="create-nested">
                    <li>
                        <div class="div-create-new table-responsive">
                            <table class="table table-responsive tableborderless">
                                <tr class="tr-create">
                                    <td>
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.NguoiTruc, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                            <div class="col-md-9">
                                                @Html.EditorFor(x => x.NguoiTruc, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                                                <span class="note-info" id="nguoitrucloc"></span>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.Me, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                            <div class="col-md-6">
                                                @*@Html.EditorFor(x => x.Me, new { htmlAttributes = new { @class = "form-control" } })*@

                                                @* @Html.DropDownList("Me", new SelectList(ViewBag.dropdow_me, "ID", "Name"), new { @class = "form-control" })*@
                                                @Html.ListBoxFor(m => m.Me, new MultiSelectList(ViewBag.dropdow_me, "ID", "Name"), new { Multiple = "multiple", placeholder = "Chọn mẻ", @class = "form-control" })
                                                <span class="note-info" id="meloc"></span>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.NhapGhiChuChoCaSau, htmlAttributes: new { @class = "label-text col-md-3" })
                                            <div class="col-md-9">
                                                @Html.TextAreaFor(x => x.NhapGhiChuChoCaSau, new { @class = "form-control" })
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            @Html.LabelFor(x => x.CaLamViec, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                            <div class="col-md-6">
                                                @Html.DropDownList("CaLamViec", new SelectList(ViewBag.EnumCaLamViec, "ID", "Name"), new { @class = "form-control" })
                                                <span class="note-info" id="calamviecloc"></span>
                                            </div>
                                            @*<div class="col-md-3 btn-create-new">
                                                    <input type="button" onclick="AddNewNhatKy();" value="Tạo mới" class="btn btn-primary" />
                                                </div>*@
                                        </div>
                                    </td>

                                </tr>
                            </table>
                        </div>

                    </li>

                </ul>
            </li>
            @*Chi tiết Nhật Ký*@

        </ul>
        <div id="addNhatKy">
            @Html.Partial("AddNhatKyVanHanh")
        </div>
        <div id="button_LuuNhatKy" style="float:right; margin-top: 5px;margin-bottom:5px;">
            @*<input type='submit' onclick='LuuNhatKySuCo();' value='Lưu' class='btn btn-primary' />*@
            <a class="btn btn-primary gradient-addNew" href="javascript:LuuNhatKySuCo()">
                <i class="fa-solid fa-save"></i> Lưu
            </a>
        </div>

    </div>
}
else
{
    if (Session["role"] != null)
    {
        if (Session["role"].ToString().Contains("Admin"))
        {
            <div class="create-nhatky">
                <ul id="myUL">
                    <li>
                        <span class="create-caret  caret-down" style="width:auto"><label class="label-caret">Tạo mới</label></span>

                        <ul class="create-nested">
                            <li>
                                <div class="div-create-new table-responsive">
                                    <table class="table table-responsive tableborderless">
                                        <tr class="tr-create">
                                            <td>
                                                <div class="form-group">
                                                    @Html.LabelFor(x => x.NguoiTruc, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                                    <div class="col-md-9">
                                                        @Html.EditorFor(x => x.NguoiTruc, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                                                        <span class="note-info" id="nguoitrucloc"></span>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    @Html.LabelFor(x => x.Me, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                                    <div class="col-md-6">
                                                        @*@Html.EditorFor(x => x.Me, new { htmlAttributes = new { @class = "form-control" } })*@
                                                        @* @Html.DropDownList("Me", new SelectList(ViewBag.dropdow_me, "ID", "Name"), new { @class = "form-control" })*@

                                                        @*@Html.ListBoxFor(x => x.Me, new SelectList(ViewBag.dropdow_me, "ID", "Name"), new { placeholder = "Chọn User", @multiple = "multiple" })*@
                                                        @Html.ListBoxFor(m => m.Me, new MultiSelectList(ViewBag.dropdow_me, "ID", "Name"), new { Multiple = "multiple", @class = "form-control" })
                                                        <span class="note-info" id="meloc"></span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="form-group">
                                                    @Html.LabelFor(x => x.NhapGhiChuChoCaSau, htmlAttributes: new { @class = "label-text col-md-3" })
                                                    <div class="col-md-9">
                                                        @Html.TextAreaFor(x => x.NhapGhiChuChoCaSau, new { @class = "form-control" })
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    @Html.LabelFor(x => x.CaLamViec, htmlAttributes: new { @class = "label-text col-md-3 required" })
                                                    <div class="col-md-6">
                                                        @Html.DropDownList("CaLamViec", new SelectList(ViewBag.EnumCaLamViec, "ID", "Name"), new { @class = "form-control" })
                                                        <span class="note-info" id="calamviecloc"></span>
                                                    </div>
                                                    @*<div class="col-md-3 btn-create-new">
                                                            <input type="button" onclick="AddNewNhatKy();" value="Tạo mới" class="btn btn-primary" />
                                                        </div>*@
                                                </div>
                                            </td>

                                        </tr>
                                    </table>
                                </div>

                            </li>

                        </ul>
                    </li>
                    @*Chi tiết Nhật Ký*@

                </ul>
                <div id="addNhatKy">
                    @Html.Partial("AddNhatKyVanHanh")
                </div>
                <div id="button_LuuNhatKy" style="float:right; margin-top: 5px;margin-bottom:5px;">
                    @*<input type='submit' onclick='LuuNhatKySuCo();' value='Lưu' class='btn btn-primary' />*@
                    <a class="btn btn-primary gradient-addNew" href="javascript:LuuNhatKySuCo()">
                        <i class="fa-solid fa-save"></i> Lưu
                    </a>
                </div>

            </div>
        }
    }

}

<div class="DSNhatKyVanHanhVaSuCo" style="padding-top:40px;">
    <div id="NhatKyVanHanh">
        @Html.Partial("DanhSachNhatKyVanHanh", lstNhatKy)
    </div>
</div>



<link href="~/Content/bootstrap-datepicker3.min.css" rel="stylesheet" type="text/css" />
<script src="~/Scripts/bootstrap-datepicker.min.js"></script>


<script>
    var invalidChars = ["-", "e", "+", "E"];

    $(function () {
        //$("#Me").chosen();
        $("#Me").chosen({ placeholder_text_multiple: "Chọn mẻ", search_contains: true });
        $("input[type='number']").on("keydown", function (e) {
            if (invalidChars.includes(e.key)) {
                e.preventDefault();
            }
        });
    });

    function ChangeUrl(url) {
        if (typeof (history.pushState) != "undefined") {
            try {
                window.history.pushState("", "", url);

            } catch (e) { }
        } else {
            console.log("Browser does not support HTML5.");
        }
    }
    $(document).ready(function () {
        ChangeUrl("@Url.Action("NhatKyVanHanhVaSuCo", "Nhatkyvanhanhs")")
    });



    var toggler = document.getElementsByClassName("create-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-nested").classList.toggle("active-taomoiNK");
            this.classList.toggle("caret-down");
        });
    }

    function AddNewNhatKy() {
        //var ngaytao = $('#NgayTao').val();
        //var nguoitao = $('#NguoiTao').val();
        ////var me = $('#TenMe').val();
        //var ghichucasau = $('#NhapGhiChuChoCaSau').val();
        //var calamviec = $('#EnumDropDown').val();
        //if (ngaytao == null || ngaytao === 'undefined' || ngaytao == '') {
        //    debugger;

        //} else {
        //    $("#addNhatKy").load("/Nhatkyvanhanhs/AddNewNhatKy");

        //    var tag = "<input type='submit' onclick='LuuNhatKySuCo()' value='Lưu' class='btn btn-primary' />";
        //    document.getElementById('button_LuuNhatKy').innerHTML = tag;
        //}
        $("#addNhatKy").load("/Nhatkyvanhanhs/AddNewNhatKy");

        var tag = "<input type='submit' onclick='LuuNhatKySuCo();' value='Lưu' class='btn btn-primary' />";
        document.getElementById('button_LuuNhatKy').innerHTML = tag;

    }
    function ClearData() {

    }
    var listOfSuCo = [];
    function LuuThongTinSuCo() {
        debugger;
        //var panel = document.querySelectorAll("#suco-0 input");
        var elements_suco = document.querySelectorAll('.create-nhatky-suco');
        for (var i = 0; i < elements_suco.length; i++) {
            var suco = elements_suco[i].id;
            let str1 = '#'
            let str2 = ' input, select, textarea';
            let str = str1.concat(suco, str2);
            var panel = document.querySelectorAll(str);



            //0: select#Me.form - control
            //1: textarea#NhapGhiChuChoCaSau.form - control
            //2: select#CaLamViec.form - control
            //3: input#MoTaSuCo.form - control.text - box.single - line
            //4: input#NguoiMoTa.form - control.text - box.single - line
            //5: input#NgaySayRaSuCo.form - control
            //6: input#NguoiDeXuat.form - control.text - box.single - line
            //7: input#QuaTrinhXuLy.form - control.text - box.single - line
            //8: select#TrangThaiXuLy.form - control
            //9: input#ThoiGianVanHanh
            //10: input
            //11: input#ChiSoHoaHoc
            //12: input
            //13: input#HuHongThietBi
            //14: input
            //15: textarea#CachKhacPhuc.form - control

            let item = {
                MoTaSuCo: panel[3].value,
                NguoiMoTa: panel[4].value,
                NgaySayRaSuCo: panel[5].value,
                CachKhacPhuc: panel[15].value,
                NguoiDeXuat: panel[6].value,
                QuaTrinhXuLy: panel[7].value,
                TrangThaiXuLy: panel[8].value,
                ThoiGianVanHanh: panel[9].checked,
                ChiSoHoaHoc: panel[11].checked,
                HuHongThietBi: panel[13].checked
                //file: panel[16].files
            }
            listOfSuCo.push(item);

        }
    }
    function LuuNhatKySuCo() {
        debugger;
        if (ValidateFormNhatKy() == true) {
            debugger;
            var lstme = $('#@Html.IdFor(x => x.Me)').val();
            LuuThongTinSuCo();
            var kiemtrachunghethong = false;
            var ghinhanbatthuong;
            var iskiemtra = document.getElementById("isbatthuong").checked;
            if (iskiemtra == true) {
                //hệ thống bất thường
                kiemtrachunghethong = true;
                ghinhanbatthuong = $('#@Html.IdFor(x => x.GhiNhanBatThuong)').val();
            } else {
                kiemtrachunghethong = false;
            }
            var model = {
                NgayTao: $('#@Html.IdFor(x => x.NgayTao)').val(),
                NguoiTao: $('#@Html.IdFor(x => x.NguoiTao)').val(),
                NguoiTruc: $('#@Html.IdFor(x => x.NguoiTruc)').val(),
                NhapGhiChuChoCaSau: $('#@Html.IdFor(x => x.NhapGhiChuChoCaSau)').val(),
                CaLamViec: $('#@Html.IdFor(x => x.CaLamViec)').val(),
                //Me: $('#@Html.IdFor(x => x.Me)').val(),

                LuuLuongVao: $('#@Html.IdFor(x => x.LuuLuongVao)').val()/*.replace('.',',')*/,
                LuuLuongRa: $('#@Html.IdFor(x => x.LuuLuongRa)').val()/*.replace('.',',')*/,
                 ChiSoTieuThuDien: $('#@Html.IdFor(x => x.ChiSoTieuThuDien)').val()/*.replace('.',',')*/,
                KhoiLuongTieuThuDien: $('#@Html.IdFor(x => x.KhoiLuongTieuThuDien)').val()/*.replace('.',',')*/,

                PolymerVao: $('#@Html.IdFor(x => x.PolymerVao)').val()/*.replace('.',',')*/,
                PolymerRa: $('#@Html.IdFor(x => x.PolymerRa)').val()/*.replace('.',',')*/,
                PolymerTon: $('#@Html.IdFor(x => x.PolymerTon)').val()/*.replace('.',',')*/,

                PhaBotVao: $('#@Html.IdFor(x => x.PhaBotVao)').val()/*.replace('.',',')*/,
                PhaBotRa: $('#@Html.IdFor(x => x.PhaBotRa)').val()/*.replace('.',',')*/,
                PhaBotTon: $('#@Html.IdFor(x => x.PhaBotTon)').val()/*.replace('.',',')*/,

                NaOHVao: $('#@Html.IdFor(x => x.NaOHVao)').val()/*.replace('.',',')*/,
                NaOHRa: $('#@Html.IdFor(x => x.NaOHRa)').val()/*.replace('.',',')*/,
                NaOHTon: $('#@Html.IdFor(x => x.NaOHTon)').val()/*.replace('.',',')*/,

                NPKVao: $('#@Html.IdFor(x => x.NPKVao)').val()/*.replace('.',',')*/,
                NPKRa: $('#@Html.IdFor(x => x.NPKRa)').val()/*.replace('.',',')*/,
                NPKTon: $('#@Html.IdFor(x => x.NPKTon)').val()/*.replace('.',',')*/,

                UreVao: $('#@Html.IdFor(x => x.UreVao)').val()/*.replace('.',',')*/,
                UreRa: $('#@Html.IdFor(x => x.UreRa)').val()/*.replace('.',',')*/,
                UreTon: $('#@Html.IdFor(x => x.UreTon)').val()/*.replace('.',',')*/,

                MatRiVao: $('#@Html.IdFor(x => x.MatRiVao)').val()/*.replace('.',',')*/,
                MatRiRa: $('#@Html.IdFor(x => x.MatRiRa)').val()/*.replace('.',',')*/,
                MatRiTon: $('#@Html.IdFor(x => x.MatRiTon)').val()/*.replace('.',',')*/,

                isKiemTraChungHeThong: kiemtrachunghethong,
                GhiNhanBatThuong: ghinhanbatthuong
            }

            $.ajax({
                type: "post",
                url: "/Nhatkyvanhanhs/LuuThongNhatKyVaSuCo",
                data: { model_nhatky: model, models_suco: listOfSuCo, meID: lstme },//model,
                datatype: "json",
                cache: false,
                success: function (data) {
                    if (data.code === 1) {
                        window.location = '/Login/LoginIndex';
                    }
                    if (data.isvalid == false) {
                        toastr.warning(data.mess)
                    } else {
                        toastr.success(data.mess);
                        setTimeout(function () {
                            location.reload()
                        }, 500);
                    }
                },
                error: function (xhr) {

                    toastr.success("Thành công");
                    toastr.warning('My name is Inigo Montoya. You killed my father, prepare to die!');
                    toastr.error('I do not think that word means what you think it means.', 'Inconceivable!')
                    toastr.info('My name is Inigo Montoya. You killed my father, prepare to die!')
                }
            });
        }
        return false;

        //document.getElementById("form-LuuNhatKySuCo").submit();
    }

    //function refresh() {
    //    setTimeout(function () {
    //        location.reload()
    //    }, 500);
    //}

    //$(document).ready(function () {
    //    $("#btn_addNewNhatKy").click(function () {
    //        debugger;
    //        $("#addNhatKy").load("/Nhatkyvanhanhs/AddNewNhatKy");
    //    });

    //});
    !function (a) {
        a.fn.datepicker.dates.vi = {
            days: ["Chủ nhật", "Thứ hai", "Thứ ba", "Thứ tư", "Thứ năm", "Thứ sáu", "Thứ bảy"],
            daysShort: ["CN", "Thứ 2", "Thứ 3", "Thứ 4", "Thứ 5", "Thứ 6", "Thứ 7"],
            daysMin: ["CN", "T2", "T3", "T4", "T5", "T6", "T7"],
            months: ["Tháng 1", "Tháng 2", "Tháng 3", "Tháng 4", "Tháng 5", "Tháng 6", "Tháng 7", "Tháng 8", "Tháng 9", "Tháng 10", "Tháng 11", "Tháng 12"],
            monthsShort: ["Th1", "Th2", "Th3", "Th4", "Th5", "Th6", "Th7", "Th8", "Th9", "Th10", "Th11", "Th12"],
            today: "Hôm nay",
            clear: "Xóa",
            format: "dd/mm/yyyy"
        }
    }(jQuery);

    $('#datepicker').datepicker({
        format: 'dd/mm/yyyy',
        locale: 'vi',
        language: "vi",
        todayBtn: "linked",
        todayHighlight: true,
        autoclose: true
    });
    function onchangeNgayTao() {
        debugger;
        var ngayTao = $('#@Html.IdFor(x => x.NgayTao)').val();
        window.location = '/Nhatkyvanhanhs/NhatKyVanHanhVaSuCo?ngayTao=' + ngayTao;
    }

    //Validate save data
    function ValidateFormNhatKy() {
        debugger;
        var status = false;
        var ngayTao = document.getElementById("NgayTao").value;//document.frmSaveData.NgayTao.value;NguoiTruc
        var nguoiTruc = document.getElementById("NguoiTruc").value;
        var me = document.getElementById("Me").value;
        var caLamViec = document.getElementById("CaLamViec").value;
        if (ngayTao.length < 1) {
            document.getElementById("ngaytaoloc").innerHTML =
                "Vui lòng chọn ngày";
            status = false;
        } else {
            status = true;
        }
        if (nguoiTruc.length < 1) {
            document.getElementById("nguoitrucloc").innerHTML =
                "Người trực không được bỏ trống";
            status = false;
        }

        if (me.length < 1) {
            document.getElementById("meloc").innerHTML =
                "Vui lòng chọn mẻ";
            status = false;
        }

        if (caLamViec.length < 1) {
            document.getElementById("calamviecloc").innerHTML =
                "Vui lòng chọn ca làm việc";
            status = false;
        }
        return status;
    }


</script>

@*khong cho back *@
@*<script type="text/javascript">
    function disableBack() { window.history.forward(); }
    setTimeout("disableBack()", 0);
    window.onunload = function () { null };
</script>*@
